from io import StringIO
from unittest.mock import MagicMock, patch

from p04_testing.example.cluster_adapter import ClusterAdapter


class TestClusterAdapter:
    def test_get(self):
        adapter = ClusterAdapter('https://edu.lynt.cz/media/python3/cluster_example.json')
        # TODO: Implement rest of the test. Hint: use patch.object to mock the response.
